OpenCV: cv::detail::SphericalWarperGpu Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::SphericalWarperGpu Class Reference
Images stitching » Images Warping

`#include "warpers.hpp"`

Inheritance diagram for cv::detail::SphericalWarperGpu:

## Public Member Functions
| SphericalWarperGpu (float scale)
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
Rect | buildMaps (Size src_size, InputArray K, InputArray R, cuda::GpuMat &xmap, cuda::GpuMat &ymap)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
Point | warp (const cuda::GpuMat &src, InputArray K, InputArray R, int interp_mode, int border_mode, cuda::GpuMat &dst)
Public Member Functions inherited from cv::detail::SphericalWarper
| SphericalWarper (float scale)
| Construct an instance of the spherical warper class. More...
Public Member Functions inherited from cv::detail::RotationWarperBase< SphericalProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::SphericalWarper
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::RotationWarperBase< SphericalProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)
Protected Attributes inherited from cv::detail::RotationWarperBase< SphericalProjector >
SphericalProjector | projector_

## Constructor & Destructor Documentation

## ◆ SphericalWarperGpu()

cv::detail::SphericalWarperGpu::SphericalWarperGpu | ( | float | scale | ) |
| inline

## Member Function Documentation

## ◆ buildMaps() [1/2]

Rect cv::detail::SphericalWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| inlinevirtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Reimplemented from cv::detail::SphericalWarper.

## ◆ buildMaps() [2/2]

Rect cv::detail::SphericalWarperGpu::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | cuda::GpuMat & | xmap,
|  | cuda::GpuMat & | ymap
| ) |  |

## ◆ warp() [1/2]

Point cv::detail::SphericalWarperGpu::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| inlinevirtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Reimplemented from cv::detail::SphericalWarper.

## ◆ warp() [2/2]

Point cv::detail::SphericalWarperGpu::warp | ( | const cuda::GpuMat & | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | cuda::GpuMat & | dst
| ) |  |

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/warpers.hpp